import { IUserEntity } from 'bf-types';
import { NexusConfig } from '../common';
import { ClientAuth, System } from './Types';
export interface Nexus {
    getUrl(): string;
    getLoginUrl(returnUrl?: string): string;
    getUser(): IUserEntity;
    logOut(): void;
}
export default function nexus(system: System, config: NexusConfig, clientAuth: ClientAuth): Promise<Nexus>;
